public class Horse
//This class creates a new object that will be used in the horseUI class.
//The object created is called Horse, and represents a race horse.

{
	//attributes of all Horses
	private String name;	//fancy name of Horse
	private String[] comment = new String [4]; //4 comments describing the Horse
	private int acceleration, speed, comeback,leading; //4 integers describing the Horse's main qualities
	private int[] last5 = {0,0,0,0,0};  //An array that displays the last 5 positions of a horse
	private int[] quinellaFinish = {0,0,0}; //An array that displays how many 1st place finishes, 2nd
								//place finishes and non quinella placing finishes
	
	//non-static methods for each Horse
	String getName(){ return name;} // returns the name of the Horse
	
	int getNumFirsts(){	return quinellaFinish[0];} //returns the number of first places finishes
	
	int getNumSeconds(){  return quinellaFinish[1];} //returns the number of 2nd place finishes
	
	int getNumUnplaced(){  return quinellaFinish[2];} //returns the number of non quinella place finishes
	
	int getLast(){ return last5[0];}//returns the result of the Horse's last race
	
	int getSecondLast(){ return last5[1];} //returns the result of the Horse's 2nd last race
	
	int getThirdLast(){ return last5[2];} //returns the result of the Horse's 3rd last race
	
	int getFourthLast(){ return last5[3];} //returns the result of the Horse's 4th last race
	
	int getFifthLast(){ return last5[4];} //returns the result of the Horse's 5th last race
	
	String getComment(){ return comment[(int) (Math.random()*4)];} //returns a random comment
	//between 1 and 4.  Number chosen by putting a random number in the square brackets.
	
	void setFinished(int position) //this method will increment the correct element the in quinellaFinish array
	{						//considering what position the Horse finished in the race.
		if (position==1)
			quinellaFinish[0]++;//increments number of 1st place finishes
		else if (position==2)
			quinellaFinish[1]++;//increments number of 2nd place finishes
		else
			quinellaFinish[2]++;//if not 1st or 2nd, then increment non-placing finishes
		
		for (int x=4; x>0; x--)
			last5[x]=last5[x-1]; //This line "shifts over" all elemts of the last5 array so that a new number can
							//go in the last result spot
						
		last5[0]=position;	//Assisns the result of the Horse into the correct element of the last5 array after 
						//the race is over.
	}
	
	//the following methods are pretty self explanitory.  They return the value asked for ex/returns the Horse's
	//acceration value	
	int getAcceleration(){return acceleration;}
	
	int getSpeed()	{return speed;}
	
	int getComeback(){return comeback;}
	
	int getLeading(){return leading;}
	
	int[] getLast5(){return last5;}
	
	int[] getQuinellaFinish(){return quinellaFinish;}
	
	//constructor for the Horse
	public Horse(String n, String[] c, int a, int s, int cb, int l)
	{	//these attrtibutes are given values in the Stable class.  Each attribute has alrady been
		//describe above.
		name = n;
		comment = c;
		acceleration = a;
		speed = s;
		comeback = cb;
		leading = l;
	}
}