//Class racepanel written by Andrew Fiori
import java.io.*;		//all the imports
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;
import java.util.*;
import java.awt.Image;

public class RacePanel extends Panel{		//the panel in which a race is fun

private Horse horses[] = new Horse[6];			//the horses in the race
private int curSpeeds[] = new int[6];				//the horses current speeds	
private int curPosition[] = new int[6];				//the horses position on the track (how far from start)
private int curPlace[] = new int[6];					//the horses current standing in the race
private int results[] = new int[6];						//the order horses crossed finish (not necisarily Place when last horse crosses finish line)
private Image[] pictures = new Image[6]; 		//the pictures for the horses
private boolean finished[] = new boolean[6];	//whether or not this horse has been recorded as crossing line
private Label curPlacetext[] = new Label[6];	//labels display curPlace on screen
private boolean over;										//if race is over 
private int racelength;										//the length of the race (not width of panel)


public RacePanel(Image pics[]){				//constructor
	super();						//call super
	this.setLayout(null);		//set layout
	this.racelength = 740;		//the length of our race
	this.setBounds(0,0,this.racelength+50,271);	//set bounds probobly will also be called by program using this class but makes defualts
	this.setBackground(new Color(15,200,50));	//set background 
	for(int i = 0; i<6; i++){						//initialize some things
		curSpeeds[i] = 1;								//sets the speeds
		curPosition[i] = 0;							//sets the position
		curPlace[i] = 1;								//sets their rank in the race
		results[i] = 0;									//says no one has come in in any position
		finished[i] = false;							//none of the horses have finished
		over = false;										//race is not over
		curPlacetext[i] = new Label(String.valueOf(curPlace[i] = 1));	//creates the text for position
		curPlacetext[i].setBounds(0,40*i+25,15,30);								//puts it in correct spot
		curPlacetext[i].setFont(new Font("helvetica",0,20));					//sets the font
		this.add(curPlacetext[i]);																//add the label
	}
	curPlacetext[0].setForeground(Color.white);		//sets the labels textcolor to that of the horse for that lane
	curPlacetext[1].setForeground(Color.black);
	curPlacetext[2].setForeground(Color.red);
	curPlacetext[3].setForeground(Color.blue);
	curPlacetext[4].setForeground(Color.yellow);
	curPlacetext[5].setForeground(Color.green);
		pictures[0] =  pics[0];										//sets the pictures to those provided by constructor
		pictures[1] =  pics[1];		//this is needed because a panel can't use getCodeBase() to attain a url for the getImage(url,string) method
		pictures[2] =  pics[2];		//so images are passed in from the program instatializing this class
		pictures[3] =  pics[3];
		pictures[4] =  pics[4];
		pictures[5] =  pics[5];
	}		//ends constructor
	
public void paint(Graphics g){											//the paint method
if(g != null){	//sometimes paint is called before the class has been created resulting in g being null creating an exception
	g.setColor(Color.black);													//draws finish line
	g.drawLine(this.racelength+40,0,this.racelength+40,271);
	g.drawLine(this.racelength+41,0,this.racelength+41,271);
	g.drawLine(this.racelength+42,0,this.racelength+42,271);
						//draw the horses
//	g.setColor(Color.white);														//the dots that are no longer used								
//	g.fillOval(curPosition[0] + 30,30,20,20);				
	g.drawImage(pictures[0] , curPosition[0] ,5,this);				//the images of the horses
//	g.setColor(Color.black);
//	g.fillOval(curPosition[1] + 30,70,20,20);
	g.drawImage(pictures[1] , curPosition[1] + 0,45,this);		
//	g.setColor(Color.red);
//	g.fillOval(curPosition[2] + 30,110,20,20);
	g.drawImage(pictures[2] , curPosition[2] + 0,95,this);
//	g.setColor(Color.blue);
//	g.fillOval(curPosition[3] + 30,150,20,20);
	g.drawImage(pictures[3] , curPosition[3] + 0,135,this);
//	g.setColor(Color.yellow);
//	g.fillOval(curPosition[4] + 30,190,20,20);
	g.drawImage(pictures[4] , curPosition[4] + 0,175,this);
//	g.setColor(Color.green);
//	g.fillOval(curPosition[5] + 30,230,20,20);
	g.drawImage(pictures[5] , curPosition[5] + 0,205,this);
	}//end if g!= null
	

}//end paint
	
public boolean race(Horse racers[]){		//the method that makes a race happen with horses passed in as parameters
 	over = false;					//makes sure race isn't over
	horses = racers;			//gets horses for the race
	for(int i = 0; i<6; i++){			//reinitialize some stuff just to make sure
		curSpeeds[i] = 1;			//speed
		curPosition[i] = 0;		//position
		results[i] = 0;				//results
		finished[i] = false;		//finished
		curPlace[i] = 1;			//place
		curPlacetext[i].setText(String.valueOf(curPlace[i])); //text on screen
		}
	while(! over){	//while race not over
		//find new speed
		for(int i = 0; i<6; i++){	//go threw the horses
			int spe = (int)((( curSpeeds[i]<horses[i].getSpeed() )?(Math.random() * 6 - 2):(Math.random() * 6- 3)));
				//speed bonus will probably move them closer to their speed stat
			int accel = (int)( ((curPosition[i] < (this.racelength/10)) &&(horses[i].getAcceleration() > Math.random()*10))?( 1):(0));
				//if in first tenth of race they're acceleration stat determines probability of a 1 point bonus
			int lead = (int)(((horses[i].getLeading()-(curPlace[i]*2))>(Math.random()*10))?(1):(0));
				//the place and leading stat determine probability of a 1 point bonus
			int comeback = (int)(((((-12+curPlace[i]*2)+(horses[i].getComeback()))>(Math.random()*10))&&(curPosition[i]>(this.racelength/2)))?(1):(0));
				//if in last half of race they're comeback determines the probability of a 1 point bonus
			curSpeeds[i] = curSpeeds[i] + accel + spe+comeback + lead;		//uses all random bonuses in finding speed
			if(curSpeeds[i] < 1) {curSpeeds[i] = 1; }	//makes sure horses don't stop
			}//done adjusting the speed
		
		//find new position	
		for(int i = 0; i<6; i++){//go threw the horses
			curPosition[i] += curSpeeds[i];  //horse moves forword by speed
			}//done finding new position
			
		//find the places		
		for(int j = 0; j<6;j++){	//go threw horses	
			int x = 0;			//stores how many horses the person is losing to
			for(int i = 0; i<6; i++){		//go threw horses
				if(curPosition[j] < curPosition[i]) //if horse is losing to this horse
					x++;	//increment number of horses it is not beating
			}
			if(!finished[j]) curPlace[j] = x+1;		//assign position only if horse hasn't crossed line yet
			curPlacetext[j].setText(String.valueOf(curPlace[j]));	//set text on screen
		}//done finding places
		
		//check if  people have finished race
		for(int i = 0; i<6; i++){				//go threw horses
			if((curPosition[i]+10 > this.racelength) && (!finished[i])){	//if horse has crossed line and it has not been recorded yet
				for(int j = 0; j<6; j++){			//looks for lowest available place
					if((results[j] == 0) && (!finished[i])){   //finds lowest position without a horse recorded
						finished[i] = true;			//says this horse has finished
						results [j] = i+1;			//assigns this horse as finishing in apropriate spotposition
					}
				}
			}
		}//end checking for horses finishing
		
		repaint();//repaints the screen
		Graphics g = this.getGraphics();				//repaints the stuff not in paint
		g.setColor(new Color(15,200,50));
		g.fillRect(0,0,800,260);
		g.setColor(Color.black);													//draws finish line
		g.drawLine(this.racelength+40,0,this.racelength+40,271);
		g.drawLine(this.racelength+41,0,this.racelength+41,271);
		g.drawLine(this.racelength+42,0,this.racelength+42,271);
		g.drawImage(pictures[0] , curPosition[0] ,5,this);				//the images of the horses
		g.drawImage(pictures[1] , curPosition[1] + 0,45,this);		
		g.drawImage(pictures[2] , curPosition[2] + 0,95,this);
		g.drawImage(pictures[3] , curPosition[3] + 0,135,this);
		g.drawImage(pictures[4] , curPosition[4] + 0,175,this);
		g.drawImage(pictures[5] , curPosition[5] + 0,205,this);
		

		over = finished[5]&& finished[4]&& finished[3]&& finished[2]&& finished[1]&& finished[0];	
			//race is over if all the horses have finishe
		
		try{Thread.sleep(150);}		//delays so that race looks good
		catch(InterruptedException e){}	
		}//end while
	for(int i = 0; i<6; i++){			//reinitialize so horses go back to start after race is over	
		curPosition[i] = 0;				
		}
	for(int i = 0;i<6;i++){
			curPlacetext[results[i]-1].setText(String.valueOf(i+1));	//set text on screen
			}
	


	repaint();		//repaints
   	return over;		//returns true if race is over it should always return true unless something goes wrong
   	}//end race

public int getFinalPosition(int x){		//returns the lane number of horse that finished in x place
			return results[x -1];	//returns stuff
			}
public void resetRace(){		//resets stuff for a new race
			for(int i = 0; i<6; i++){			//reinitialize some stuff
				curSpeeds[i] = 1;		//speed
				curPosition[i] = 0;	//position
				results[i] = 0;			//results
				finished[i] = false;	//finished
				curPlace[i] = 1;		//place
				curPlacetext[i].setText(String.valueOf(1));		//text on screen
			}
		}//end reset race		
}//end of class		
		
		
	


	
	 
	
