public class Stable
//This class creates an array of horses that we use in our horseUI class.  Each horse has
//integers describing certain abilities.
{	
	public static final int numHorses = 52;
	static public Horse[] makeHorses()
	{

		Horse[] collection = new Horse[numHorses];//This is our running total of horses
	
		String[][] Sarray = new String[numHorses][4];//A 2-D array used for comments.  4 for each horse

	//horse 1.  Based on a Royal Ascot horse
	//for every horse, 4 Sarray declarations are made.  These are the comments for the 
	//specific horse
	
		Sarray[0][0]=new String ("Possible 2nd Place");
		Sarray[0][1]=new String ("Can win on straightaway");
		Sarray[0][2]=new String ("May win this time");
		Sarray[0][3]=new String ("1st half the key");
		//The comments describe the horse pretty acurately
		//The horseUI class selects one of these when the horse is used in a race
		
		collection[0] = new Horse("Chance to Run", Sarray[0], 10, 7, 8,5 );
		/*this is the constructor for the horse.  The 6 parameters are in order:
		1. Name - name of the horse
		2. Comments - 4 comments unique to the horse
		3. Acceleration - and integer describing how fast the horse starts.  A higher number
		indicates a better ability
		4. Speed - The most important attribute.  The higher this number is pretty much says if
		the horse is any good.
		5. Comeback - A value that indicates how fast the horse tries to get out of a loosing position
		6. Leading - A value that indicates how bad the horse wants to stay in a leading position*/
		
	//horse 2.  Based on a Royal Ascot horse
	//The following horses all use the same format as horse 1
	
		Sarray[1][0]=new String ("Bet on this horse only");
		Sarray[1][1]=new String ("If leading can win");
		Sarray[1][2]=new String ("A favourite");
		Sarray[1][3]=new String ("Must exert more effort");
		
		collection[1] = new Horse("Set a Record", Sarray[1], 7, 10, 3,9 );
		
	//horse 3.  Based on a Royal Ascot horse
	
		Sarray[2][0]=new String ("He's a long shot");
		Sarray[2][1]=new String ("Not recomended");
		Sarray[2][2]=new String ("May win this time");
		Sarray[2][3]=new String ("Lacks speed");
		
		collection[2] = new Horse("Blind Prejudice", Sarray[2], 9, 6, 6,6 );
		
	//horse 4.  Based on a Royal Ascot horse
	
		Sarray[3][0]=new String ("Lacks ability");
		Sarray[3][1]=new String ("Lower class horse");
		Sarray[3][2]=new String ("Poor condition");
		Sarray[3][3]=new String ("Wins going away");
		
		collection[3] = new Horse("Take a Chance", Sarray[3], 3, 4, 10,5 );
		
	//horse 5.  Based on a Royal Ascot horse
	
		Sarray[4][0]=new String ("Homestretch Finisher");
		Sarray[4][1]=new String ("A favourite");
		Sarray[4][2]=new String ("Don't disregard him");
		Sarray[4][3]=new String ("Lacks speed");
		
		collection[4] = new Horse("Lucky Ace", Sarray[4], 5, 5, 9,10 );
		
	//horse 6.  Based on a Royal Ascot horse
	
		Sarray[5][0]=new String ("Bet on this horse only");
		Sarray[5][1]=new String ("A favourite");
		Sarray[5][2]=new String ("Don't be too confident");
		Sarray[5][3]=new String ("Keeps in good shape");
		
		collection[5] = new Horse("Mean Missy", Sarray[5], 10, 9, 8,6 );
		
	//horse 7.  Based on a Royal Ascot horse
	
		Sarray[6][0]=new String ("Possible 2nd place");
		Sarray[6][1]=new String ("Medium longshot");
		Sarray[6][2]=new String ("Has a chance to win");
		Sarray[6][3]=new String ("Don't be stupid");
		
		collection[6] = new Horse("Slewrena", Sarray[6], 7, 8, 6,7 );
		
	//horse 8.  Based on the wrestler "Hurricane"
	
		Sarray[7][0]=new String ("Has improved much");
		Sarray[7][1]=new String ("Cruiserweight champion");
		Sarray[7][2]=new String ("May win this time");
		Sarray[7][3]=new String ("Poor condition");
		
		collection[7] = new Horse("Hurricane Harry", Sarray[7], 5, 7, 10,7 );
		
	//horse 9.  Based on a Royal Ascot horse
	
		Sarray[8][0]=new String ("He can be quick");
		Sarray[8][1]=new String ("Poorly trained");
		Sarray[8][2]=new String ("Likely to run good");
		Sarray[8][3]=new String ("Must exert more effort");
		
		collection[8] = new Horse("Be Quick", Sarray[8], 5, 10, 10,4 );
	
	//horse 10.  Based on a Royal Ascot horse
	
		Sarray[9][0]=new String ("Starts good");
		Sarray[9][1]=new String ("Bad finisher");
		Sarray[9][2]=new String ("Call me in 2 weeks");
		Sarray[9][3]=new String ("Second half the key");
		
		collection[9] = new Horse("Jon Come Lately", Sarray[9], 10, 5, 3,4 );
		
	//horse 11.  Based on a Royal Ascot horse
	
		Sarray[10][0]=new String ("Big drinker");
		Sarray[10][1]=new String ("Bad temper");
		Sarray[10][2]=new String ("Yellow teeth");
		Sarray[10][3]=new String ("Plays a good prop");
		
		collection[10] = new Horse("Proud Irish Lies", Sarray[10], 5, 6, 8,10 );
	
	//horse 12.  Based on a Royal Ascot horse
	
		Sarray[11][0]=new String ("Don't be too confident");
		Sarray[11][1]=new String ("Lacks ability");
		Sarray[11][2]=new String ("Must exert more effort");
		Sarray[11][3]=new String ("Mother's a mudder");
		
		collection[11] = new Horse("Mint Condition", Sarray[11], 3, 4, 8,6 );
		
	//horse 13.  Based on a Royal Ascot horse
	
		Sarray[12][0]=new String ("Sensational");
		Sarray[12][1]=new String ("Pretty good odds");
		Sarray[12][2]=new String ("Likely to run good");
		Sarray[12][3]=new String ("Chokes in the crunch");
		
		collection[12] = new Horse("Sensational Sally", Sarray[12], 8, 8, 6,8 );
		
	//horse 14.  Based on Alexi Pivkine(he had no say in what the horse would be like)
	
		Sarray[13][0]=new String ("Your not welcome here");
		Sarray[13][1]=new String ("Nothing nothing");
		Sarray[13][2]=new String ("Elan's a jork");
		Sarray[13][3]=new String ("Thats the end of the keyboard");
		
		collection[13] = new Horse("Russian Bear", Sarray[13], 2, 4, 2,5 );
		
	//horse 15.  Based on a Royal Ascot horse
	
		Sarray[14][0]=new String ("Lacks ability");
		Sarray[14][1]=new String ("He's a long shot");
		Sarray[14][2]=new String ("Not recomended");
		Sarray[14][3]=new String ("Wins going away");
		
		collection[14] = new Horse("Royal Cadence", Sarray[14], 4, 5, 5,3 );
		
	//horse 16.  Andrew Fiori's horse.  From here on, when it says someones horse, then
	//that person chose the name of the horse and the 4 comments.  We chose the attributes
	
		Sarray[15][0]=new String ("Ask him a SIN question");
		Sarray[15][1]=new String ("Used to play hockey");
		Sarray[15][2]=new String ("Breaks familiar bonds");
		Sarray[15][3]=new String ("I don't know...");
		
		collection[15] = new Horse("Fysics Fiori", Sarray[15], 9, 9, 9,9 );
		
	//horse 17.  Elan Dubrofsky's horse
	
		Sarray[16][0]=new String ("5000 a year");
		Sarray[16][1]=new String ("Wears a slick hat");
		Sarray[16][2]=new String ("Is a Hurri-fan");
		Sarray[16][3]=new String ("What a good horse");
		
		collection[16] = new Horse("E-Dubs", Sarray[16], 9, 9, 9,9 );
		
	//horse 18.  Marty MacKenzie's horse
	
		Sarray[17][0]=new String ("One wild head o' hair");
		Sarray[17][1]=new String ("Plays a strong 2nd row");
		Sarray[17][2]=new String ("A heavy ball and chain");
		Sarray[17][3]=new String ("Goin places fast");
		
		collection[17] = new Horse("Marty's A Hotshot", Sarray[17], 9, 9, 9,9 );
		
	//horse 19.  Based on a Royal Ascot horse
	
		Sarray[18][0]=new String ("Don't disregard her");
		Sarray[18][1]=new String ("Keeps in good shape");
		Sarray[18][2]=new String ("Lacks speed");
		Sarray[18][3]=new String ("Has improved much");
		
		collection[18] = new Horse("Pam's Pride", Sarray[18], 8, 5, 8,5 );
		
	//horse 20.  Based on a Royal Ascot horse
	
		Sarray[19][0]=new String ("Bet on this horse only");
		Sarray[19][1]=new String ("Has pretty good odds");
		Sarray[19][2]=new String ("Likely to run good");
		Sarray[19][3]=new String ("Condition not so good");
		
		collection[19] = new Horse("Go Sandy Go", Sarray[19], 7, 6, 8,6 );
	
	//horse 21.  Jon Abrams' horse
	
		Sarray[20][0]=new String ("She really was");
		Sarray[20][1]=new String ("She's a firecracker");
		Sarray[20][2]=new String ("Explodes at the beginning");
		Sarray[20][3]=new String ("Accelartes well");
		
		collection[20] = new Horse("Born on the 4th", Sarray[20], 9, 5, 6,5 );		


	//horse 22.  Gath Newman's horse
		
		Sarray[21][0]=new String ("Fast");
		Sarray[21][1]=new String ("Big");
		Sarray[21][2]=new String ("The very best");
		Sarray[21][3]=new String ("OxFFFFFF");
		
		collection[21] = new Horse("Memory Space", Sarray[21], 4, 5, 4,8 );		
		
	//horse 23.  Alexi T's horse
		
		Sarray[22][0]=new String ("Fast");
		Sarray[22][1]=new String ("Strong");
		Sarray[22][2]=new String ("Stubborn");
		Sarray[22][3]=new String ("Smart");
		
		collection[22] = new Horse("Akimo", Sarray[22], 5, 8, 4,5 );	
		
	//horse 24.  Brent Mcgrath's horse
		
		Sarray[23][0]=new String ("Duke");
		Sarray[23][1]=new String ("Dyno");
		Sarray[23][2]=new String ("Robert");
		Sarray[23][3]=new String ("Has bad comments");
		
		collection[23] = new Horse("Brent 17", Sarray[23], 3, 3, 6,9 );	
		
	//horse 25.  Geoff Garret's horse
		
		Sarray[24][0]=new String ("She's a classic");
		Sarray[24][1]=new String ("Old as classic Mustang");
		Sarray[24][2]=new String ("Has arthritus but can move");
		Sarray[24][3]=new String ("Runs on deisel fuel");
		
		collection[24] = new Horse("Gladus", Sarray[24], 7, 6, 8,4 );
		
	//horse 26.  Jonah Kanter's horse
		
		Sarray[25][0]=new String ("Enjoys walks on the beach");
		Sarray[25][1]=new String ("Has a problem with Gladus");
		Sarray[25][2]=new String ("Thinks Gladus is a big jerk");
		Sarray[25][3]=new String ("Lifelong goal: BEAT GLADUS");
		
		collection[25] = new Horse("Jonah The Horse", Sarray[25], 8, 6, 4,7 );	
		
	//horse 27.  Jana Martin's horse
		
		Sarray[26][0]=new String ("Fast");
		Sarray[26][1]=new String ("Strong");
		Sarray[26][2]=new String ("Loves to eat");
		Sarray[26][3]=new String ("Loves to sleep");
		
		collection[26] = new Horse("Gemini", Sarray[26], 5, 5, 5,8 );							

	//horse 28.  Prashanta Dakal's horse
		
		Sarray[27][0]=new String ("Strong");
		Sarray[27][1]=new String ("Bullies other horses");
		Sarray[27][2]=new String ("Wins races often");
		Sarray[27][3]=new String ("Parades after winning");
		
		collection[27] = new Horse("Malabar", Sarray[27], 7, 8, 6,5 );
		
	//horse 29.  Lisa Boyachuck's horse
		
		Sarray[28][0]=new String ("Quick Sprint");
		Sarray[28][1]=new String ("Good Endurance");
		Sarray[28][2]=new String ("Quick Sprint");
		Sarray[28][3]=new String ("Draws a good horse");
		
		collection[28] = new Horse("Lisa The Horse", Sarray[28], 8, 7, 8,8 );							
		
	//horse 30.  Ravi Verma's horse
		
		Sarray[29][0]=new String ("Aggresive and abusive");
		Sarray[29][1]=new String ("Lazy");
		Sarray[29][2]=new String ("Races if he feels like it");
		Sarray[29][3]=new String ("Likes little girl horses");
		
		collection[29] = new Horse("Ravi The Horse", Sarray[29], 6, 7, 4,5 );	

	//horse 31.  Sergey's horse
		
		Sarray[30][0]=new String ("Fast sprint");
		Sarray[30][1]=new String ("No endurance");
		Sarray[30][2]=new String ("Slow finish");
		Sarray[30][3]=new String ("Lacks ability");
		
		collection[30] = new Horse("Sergey The Horse", Sarray[30], 8, 8, 5,4 );	

	//horse 32.  Remick So's horse
		
		Sarray[31][0]=new String ("Smart");
		Sarray[31][1]=new String ("Slow");
		Sarray[31][2]=new String ("Silly");
		Sarray[31][3]=new String ("Sombre");
		
		collection[31] = new Horse("Fuzz", Sarray[31], 7, 5, 8,9 );	
		
	//horse 33.  Jon Kalman's horse
		
		Sarray[32][0]=new String ("Eats bad guys");
		Sarray[32][1]=new String ("3/2 times faster than most");
		Sarray[32][2]=new String ("Hates accounting ISU's");
		Sarray[32][3]=new String ("Wins after eating horses");
		
		collection[32] = new Horse("Bad Guy Eater", Sarray[32], 6, 7, 9,7 );			
		
	//horse 34.  Matt Dorance's horse
		
		Sarray[33][0]=new String ("Strong finisher");
		Sarray[33][1]=new String ("Reliable");
		Sarray[33][2]=new String ("Great endurance");
		Sarray[33][3]=new String ("Will always win");
		
		collection[33] = new Horse("Great Conclusion", Sarray[33], 6, 5, 8,9 );	
		
	//horse 35.  Graham Satterthwaite's horse
		
		Sarray[34][0]=new String ("Big nose");
		Sarray[34][1]=new String ("Insincere");
		Sarray[34][2]=new String ("Likes hitting Prashanta");
		Sarray[34][3]=new String ("Hyperactive");
		
		collection[34] = new Horse("Sat The Rat", Sarray[34], 5, 6, 4,10 );	
		
	//horse 36.  David Vessey's horse
		
		Sarray[35][0]=new String ("Fast");
		Sarray[35][1]=new String ("Hates running behind");
		Sarray[35][2]=new String ("FLATULANCE!!");
		Sarray[35][3]=new String ("SPOTTED");
		
		collection[35] = new Horse("Vesey's Choice", Sarray[35], 9, 4, 8,7 );	
		
	//horse 37.  Caroline Orchard's horse
		
		Sarray[36][0]=new String ("Determined");
		Sarray[36][1]=new String ("Unique");
		Sarray[36][2]=new String ("Well groomed");
		Sarray[36][3]=new String ("Willing to cheat");
		
		collection[36] = new Horse("Apples Way", Sarray[36], 7, 6, 8,5 );	
		
	//horse 38.  William Steven's horse
		
		Sarray[37][0]=new String ("Broken Leg");
		Sarray[37][1]=new String ("Can talk");
		Sarray[37][2]=new String ("HYPP disorder");
		Sarray[37][3]=new String ("May the horse be with you");
		
		collection[37] = new Horse("Crazy Glue", Sarray[37], 6, 7, 3,8 );	
		
	/*horse 39.  This horse was created with a lot of tender love and care.  The horse has
	had the best grooming and the best carrots its entire life and is probibly the best horse in the stable...
	even better then the infamous trio of E-Dubs, Fysics Fiori and Marty's A Hotshot.  Even when this horse
	retires, it will be in movies due to its unparralled beauty and talent.  The beleoved Ms. McAteer's horse.*/
		
		Sarray[38][0]=new String ("Unpredictable");
		Sarray[38][1]=new String ("Intimidates other horses");
		Sarray[38][2]=new String ("Smooth operator");
		Sarray[38][3]=new String ("Small but mighty");
		
		collection[38] = new Horse("Mac Attack", Sarray[38], 8, 9, 9,8 );
		
	//horse 40.  Jon Lithwick's horse
		
		Sarray[39][0]=new String ("Deceiving");
		Sarray[39][1]=new String ("Extremely tasty");
		Sarray[39][2]=new String ("Endorsed by Survivor");
		Sarray[39][3]=new String ("Sucks up to other horses");
		
		collection[39] = new Horse("Pizza Beer", Sarray[39], 7, 5, 4,3 );		
		
	//horse 41.  Andrew Mcinder's horse
		
		Sarray[40][0]=new String ("Fast as lightning");
		Sarray[40][1]=new String ("Hot as the sun");
		Sarray[40][2]=new String ("Cool as ice");
		Sarray[40][3]=new String ("Sharp as glass");
		
		collection[40] = new Horse("Pony", Sarray[40], 6, 9, 1,2 );	
		
		
	//horse 42.  Simon Lovell's horse
		
		Sarray[41][0]=new String ("Likes pizza");
		Sarray[41][1]=new String ("Enjoys partying");
		Sarray[41][2]=new String ("Calculates strategy");
		Sarray[41][3]=new String ("Enjoys sunbathing");
		
		collection[41] = new Horse("SiLo", Sarray[41], 4, 6, 8,7 );	

	//horse 43.  A horse based on Prashanta's shirt
		
		Sarray[42][0]=new String ("Wins going away");
		Sarray[42][1]=new String ("Lacks Ability");
		Sarray[42][2]=new String ("Oh my heck! What a horse");
		Sarray[42][3]=new String ("Fury of a cyclone");
		
		collection[42] = new Horse("Tropic Storm", Sarray[42], 6, 3, 8,9 );	

	//horse 44.  Alexi Pivkine's horse(ya right.  We all know what his REAL horse is)
		
		Sarray[43][0]=new String ("Fast");
		Sarray[43][1]=new String ("Not a bear");
		Sarray[43][2]=new String ("Not orange");
		Sarray[43][3]=new String ("Best horse to bet on");
		
		collection[43] = new Horse("Orange Alligator", Sarray[43], 5, 6, 8,5 );	
		
	//horse 45.  Philip MacKenzie's horse
		
		Sarray[44][0]=new String ("The run-around");
		Sarray[44][1]=new String ("Likes carrots");
		Sarray[44][2]=new String ("Enjoys the watering hole");
		Sarray[44][3]=new String ("Has a nice pair of ears");
		
		collection[44] = new Horse("Heithcliff", Sarray[44], 6, 6, 7,4 );	
		
	//horse 46.  Alina Krajcz's horse
		
		Sarray[45][0]=new String ("Enjoys moonlit walks");
		Sarray[45][1]=new String ("Likes sugar cubes");
		Sarray[45][2]=new String ("Hates Sundance Ranch");
		Sarray[45][3]=new String ("Likes showing her backside");
		
		collection[45] = new Horse("Sammy Blue Shoes", Sarray[45], 7, 6, 8,6 );	
	
	//horse 47.  Jeremy Fradkin's horse
		
		Sarray[46][0]=new String ("Shaggy");
		Sarray[46][1]=new String ("Slow");
		Sarray[46][2]=new String ("Overweight");
		Sarray[46][3]=new String ("Don't bet on him");
		
		collection[46] = new Horse("Billy Bob", Sarray[46], 3, 8, 5,5);	
		
	//horse 48.  Talia Gur-esh's horse
		
		Sarray[47][0]=new String ("Likes singing the anthem");
		Sarray[47][1]=new String ("Sang with Soul Descision");
		Sarray[47][2]=new String ("Great taste with male horses");
		Sarray[47][3]=new String ("Sleeping with E-Dubs");
		
		collection[47] = new Horse("G Dash", Sarray[47], 7, 7, 8,5);	
		
	//horse 49.  Seb Alvarado's horse
		
		Sarray[48][0]=new String ("Mighty horse breed");
		Sarray[48][1]=new String ("Chilean sensation");
		Sarray[48][2]=new String ("The Phylli from Chilli");
		Sarray[48][3]=new String ("Wears stupid hats");
		
		collection[48] = new Horse("Gaston", Sarray[48], 4, 4, 9,5);	
		
	//horse 50.  Greg from Waterloo's horse
		
		Sarray[49][0]=new String ("Failed the Descartes");
		Sarray[49][1]=new String ("Raymond's a JERK");
		Sarray[49][2]=new String ("If you go to Village 3 you die");
		Sarray[49][3]=new String ("There are no hot girls here");
		
		collection[49] = new Horse("Waterloo Greg", Sarray[49], 8, 4, 8,8);	
		
	//horse 51.  Colin Everdon's horse
		
		Sarray[50][0]=new String ("He's CRAZY");
		Sarray[50][1]=new String ("Plastic nose");
		Sarray[50][2]=new String ("Plays a good scrum half");
		Sarray[50][3]=new String ("Band MVP");
		
		collection[50] = new Horse("Crazy Colin", Sarray[50], 6, 5, 9,8);	
		
	//horse 52.  Horse based on Wei Zhang
		
		Sarray[51][0]=new String ("Congratulations!");
		Sarray[51][1]=new String ("He is a liar");
		Sarray[51][2]=new String ("Won't agree to Mr. Klien");
		Sarray[51][3]=new String ("Can't stay after school");
		
		collection[51] = new Horse("Zhanger", Sarray[51], 5, 5, 10,8);	
		
		return collection; // this line returns the horses to the horseUI class so they can be used
	}
}